Description
From Dcmltem::readTagAndLength():
/* 1f the value in length is odd, print an error message */

if ( (valuelLength & 1) && (valuelLength != DCM_UndefinedLength) )

{
DCMDATA_WARN ("DcmItem: Length of element " << newTag << " is odd");

This warning is not reported on e.g. UT values with a length of 0xffffffff even though it would be forbidden to use such a length in a
dataset (since this value is reserved for "undefined length", which is not allowed for most VRs).
Also the following if-statement (from the same method) does not check for VRs where undefined length is allowed at all:

/* if desired, check if length is greater than length of surrounding item */
const Uint32 valuelengthItem = getLengthField();

if ((ident() == EVR_item /* e.g. meta info would have length 0 */) &&
(valuelengthItem != DCM_UndefinedLength /* this does not work in undefined length items */
) &&
(valueLength != DCM_UndefinedLength) /* Also, do not check sequences with undefined length

OXFFFFFFFF */
)

History

#1 - 2014-02-26 12:37 - Jorg Riesmeier
- Category set to Library
- Target version set to 3.6.2

- Module set to dcmdata

#2 - 2017-03-24 12:47 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2018-02-05 19:37 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
